$(function () {
    var mySwiper = new Swiper('.swiper-container', {
        loop: true,
        effect: 'flip',
        slidesPerView: 1,
        navigation: {
            nextEl: '.swiper-button-next1',
        }
    })
    $('.inputbtn').on('keyup',function () {
        $('.inputbtn').attr('placeholder','输入汉字\\拼音\\笔画数\\五笔进行查询')
        let input_val = $('.inputbtn').val()
        input_val = input_val.replace(/[^\u4E00-\u9FA5A-Za-z0-9_]/g,'')
        if (!isNaN(input_val)&&input_val>52) {
            console.log(111)
            $('.inputbtn').val('');
            $('.inputbtn').attr('placeholder','笔画最多只有52位哦')
        }
    })
    $('.btn').on("click",function () {
        let input_val = $('.inputbtn').val()
        if (input_val == ''){
            $('.inputbtn').attr('placeholder',"输入汉字\\拼音\\笔画数\\五笔进行查询")
        }else {
            window.open('/zi_search/'+input_val+'/','_self')
        }
    })
    $('.select').on('click', '.placeholder', function (e) {
        var parent = $(this).closest('.select');
        if (!parent.hasClass('is-open')) {
            parent.addClass('is-open');
            $('.select.is-open').not(parent).removeClass('is-open');
        } else {
            parent.removeClass('is-open');
        }
        e.stopPropagation();
    }).on('click', 'ul>li', function () {
        var parent = $(this).closest('.select');
        parent.removeClass('is-open').find('.placeholder').text($(this).text());
    });
    $('body').on('click', function () {
        $('.select.is-open').removeClass('is-open');
    });
})
$(function () {
    $('.miandiansmall-1').find("li").eq(0).find("p").addClass('jibenpick');
    $('.miandiansmall-1-1').find(".miandiansmall-1-1-1").eq(0).addClass('show');
    $('.miandiansmall-1 li p').click(function () {
        $(this).addClass('jibenpick').parent().siblings().children().removeClass('jibenpick');
        var jiben = $(this).parent().index();
        $('.miandiansmall-1-1').children().eq(jiben).addClass('show').siblings().removeClass('show');
    });
    $('.miandiansmall2-1').find("li").eq(0).find("p").addClass('kanxi');
    $('.miandiansmall2-1-1').find(".miandiansmall2-1-1-1").eq(0).addClass('show');
    $('.miandiansmall2-1 li p').click(function () {
        $(this).addClass('kanxi').parent().siblings().children().removeClass('kanxi');
        var kaixi = $(this).parent().index();
        $('.miandiansmall2-1-1').children().eq(kaixi).addClass('show').siblings().removeClass('show');
    });
    $('.tab_wrap .tab_head a').click(function(){
        let index = $(this).index();
        let tab_list = $(this).closest('.tab_wrap').find('.tabc');
        $(this).addClass('h').siblings().removeClass('h')
        tab_list.hide().eq(index).show();
    });
})
function doTTS() {
    var ttsDiv = document.getElementById('bdtts_div_id');
    var ttsAudio = document.getElementById('tts_autio_id');
    var ttsText = $('.swiper-slide-active .ttclass').html();
    ttsDiv.removeChild(ttsAudio);
    var au1 = '<audio id="tts_autio_id" autoplay="autoplay">';
    var sss = '<source id="tts_source_id" src="http://tts.baidu.com/text2audio?lan=zh&ie=UTF-8&spd=3&text=' + ttsText + '" type="audio/mpeg">';
    var eee = '<embed id="tts_embed_id" height="0" width="0" src="">';
    var au2 = '</audio>';
    ttsDiv.innerHTML = au1 + sss + eee + au2;
    ttsAudio = document.getElementById('tts_autio_id');
    ttsAudio.play();
}
function doTTS1() {
    var ttsDiv = document.getElementById('bdtts_div_id');
    var ttsAudio = document.getElementById('tts_autio_id');
    var ttsText = document.getElementById('ttsText').innerText;
    ttsDiv.removeChild(ttsAudio);
    var au1 = '<audio id="tts_autio_id" autoplay="autoplay">';
    var sss = '<source id="tts_source_id" src="http://tts.baidu.com/text2audio?tex=' + ttsText + '&cuid=dict&lan=ZH&ctp=1&pdt=30&vol=9" type="audio/mpeg">';
    var eee = '<embed id="tts_embed_id" height="0" width="0" src="">';
    var au2 = '</audio>';
    ttsDiv.innerHTML = au1 + sss + eee + au2;
    ttsAudio = document.getElementById('tts_autio_id');
    ttsAudio.play();
}
/*点击弹出按钮*/
function popBox() {
    var popBox = document.getElementById("popBox");
    var popLayer = document.getElementById("popLayer");
    popBox.style.display = "block";
    popLayer.style.display = "block";
    document.body.style.overflow = 'hidden'
};
var tt=true
$('.js_ad1').on("click", function (e) {
    if(tt){
        tt=false
        let mp3=$(this).attr('yin')
        if(mp3.indexOf('.mp3')>-1){
            var audio=new Audio(mp3)
            audio.play()
        }else{
            let textStr = $(".text-hide").html();
            if (textStr) {
                baiTTS(textStr);
            }
        }
        setTimeout(() => {
            tt=true
        }, 1600);
    }
})
/*点击关闭按钮*/
function closeBox() {
    var popBox = document.getElementById("popBox");
    var popLayer = document.getElementById("popLayer");
    popBox.style.display = "none";
    popLayer.style.display = "none";
    document.body.style.overflow = 'auto'
}
$(function () {
    var nav = $("#nav");
    var mainPage = $(".mainPage");
    var mainTopArr = new Array();
    for (var i = 0; i < mainPage.length; i++) {
        var top = mainPage.eq(i).offset().top;
        mainTopArr.push(top);
    }
    $(window).scroll(function () {
        var scrollTop = $(this).scrollTop();
        var k;
        for (var i = 0; i < mainTopArr.length; i++) {
            if (scrollTop >= mainTopArr[i]) {
                k = i;
            }
        }
        nav.find("a").eq(k).parent().addClass("current").siblings().removeClass("current");
    });
    nav.find("a[href^='#']").click(function (e) {
        e.preventDefault();
        $('html, body').animate({
            scrollTop: $(this.hash).offset().top
        }, 400);
    });
});
$(function () {
    $(window).bind("scroll", function () {
        var sTop = $(window).scrollTop();
        var sTop = parseInt(sTop);
        var shao = $('.shufatab').offset().top-document.documentElement.scrollTop;
        if (sTop >= 1140 && sTop < 2276) {
            if (!$(".fix").is(":visible")) {
                try {
                    $(".fix").slideDown();
                } catch (e) {
                    $(".fix").show();
                }
            }
        } else {
            if ($(".fix").is(":visible")) {
                try {
                    $(".fix").slideUp();
                } catch (e) {
                    $(".fix").hide();
                }
            }
        }
    });
    $('.go_top').on("click", function () {
        $('html,body').animate({
            scrollTop: 0
        }, 1000);
    });
});
/**打印页面*/
function printHTML(_this) {
    // 获取当前页的html代码
    var bdhtml = window.document.body.innerHTML;
    var printHtml = document.getElementById('print_html').innerHTML;
    // 需要打印的页面
    window.document.body.innerHTML = printHtml;
    if(!!window.ActiveXObject || "ActiveXObject" in window) { //是否ie
        remove_ie_header_and_footer();
    }
    //调用打印
    window.print();
    // 还原界面
    window.document.body.innerHTML = bdhtml;
    window.location.reload();
}
//去掉页眉、页脚
function remove_ie_header_and_footer() {
    var hkey_path;
    hkey_path = "HKEY_CURRENT_USER\\Software\\Microsoft\\Internet Explorer\\PageSetup\\";
    try {
        var RegWsh = new ActiveXObject("WScript.Shell");
        RegWsh.RegWrite(hkey_path + "header", "");
        RegWsh.RegWrite(hkey_path + "footer", "");
    } catch(e) {
    }
}
function baiTTS(ele) {
    var ttsDiv = document.getElementById('bdtts_div_id');
    var ttsAudio = document.getElementById('tts_autio_id');
    var ttsText = ele.html();
    ttsDiv.removeChild(ttsAudio);
    var au1 = '<audio id="tts_autio_id" autoplay="autoplay">';
    var sss = '<source id="tts_source_id" src="http://tts.baidu.com/text2audio?tex=' + ttsText + '&cuid=dict&lan=ZH&ctp=1&pdt=30&vol=9" type="audio/mpeg">';
    var eee = '<embed id="tts_embed_id" height="0" width="0" src="">';
    var au2 = '</audio>';
    ttsDiv.innerHTML = au1 + sss + eee + au2;
    ttsAudio = document.getElementById('tts_autio_id');
    ttsAudio.play();
}
$(function () {
    $('.labimg').click(function () {
        let text_ad = $(".swiper-slide-active .ttclass");
        baiTTS(text_ad);
    });
    document.onkeydown = function (e) {
        var theEvent = window.event || e;
        var code = theEvent.keyCode || theEvent.which || theEvent.charCode;
        if (code == 13) {
            let placeholder = $('.placeholder').html();
            let input_value = $('.shuru_aa .inputbtn').val();
            if (input_value == "") {
                $('.shuru_aa .inputbtn').attr("placeholder", "请输入需要查的字");
                return;
            }
            window.open('/zi_search/' + input_value + '/');
        }
    };
});
//处理笔顺书写
if ($('#character-target-div').length && typeof zi_name !== 'undefined') {
    (function(){
        $(document).ready(function(){
            function renderFanningStrokes(target, strokes) {
                var svg = document.createElementNS('http://www.w3.org/2000/svg', 'svg');
                svg.style.width = '24px';
                svg.style.height = '24px';
                svg.style.marginRight = '3px';
                target.appendChild(svg);
                var group = document.createElementNS('http://www.w3.org/2000/svg', 'g');
                var transformData = HanziWriter.getScalingTransform(24, 24);
                group.setAttributeNS(null, 'transform', transformData.transform);
                svg.appendChild(group);
                var index = 0;
                strokes.forEach(function(strokePath) {
                    index++;
                    var path = document.createElementNS('http://www.w3.org/2000/svg', 'path');
                    path.setAttributeNS(null, 'd', strokePath);
                    if(strokes.length == index){
                        path.style.fill = '#0085FF';
                    }else{
                        path.style.fill = '#222';
                    }
                    group.appendChild(path);
                });
            }
            HanziWriter.loadCharacterData(undefined, {
                charDataLoader: function() {
                    return JSON.parse(stroke_data);
                }
            }).then(function(charData) {
                var target = document.getElementById('character-target-div');
                for (var i = 0; i < charData.strokes.length; i++) {
                    var strokesPortion = charData.strokes.slice(0, i + 1);
                    renderFanningStrokes(target, strokesPortion);
                }
            }).catch(function () {
                $("#character-target-div").html('——')
            });
            var writer = HanziWriter.create('character-target-div-anim', undefined, {
                width: 120,
                height: 120,
                padding: 5,
                strokeColor: "#333",
                strokeAnimationSpeed: [.4, .6, .8, 1.2, 1.6][2] || .8,
                delayBetweenStrokes: 300,
                delayBetweenLoops: 1000,
                charDataLoader: function() {
                    return JSON.parse(stroke_data);
                },
                onLoadCharDataSuccess: function() {
                    $('#quiz').show();
                }
            });
            writer.loopCharacterAnimation().catch((e)=>{
            })
            $('#quiz').on('click', function(){
                let txt = $(this).text();
                if (txt == '我来写'){
                    writer.hideCharacter();
                    writer.quiz({
                        onMistake: function(strokeData) {
                        },
                        onCorrectStroke: function(strokeData) {
                        },
                        onComplete: function(summaryData) {
                            layer.alert('真棒，你会写『' + zi_name + '』字了');
                        }
                    });
                    $(this).text('再看一遍');
                } else {
                    writer.cancelQuiz();
                    writer.loopCharacterAnimation();
                    $(this).text('我来写');
                }
            });
        });
    })();
}